Lineup
Create broadcast schedule
Create a new
POST
/
api
/
v1
/
lineup
Create broadcast schedule
curl --request POST \
--url https://api.capedigital.co.ke/content/api/v1/lineup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"month": 1073741823,
"year": 1073741823,
"title": "<string>",
"version": 1073741823,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"metadata": "<unknown>"
}
'import requests
url = "https://api.capedigital.co.ke/content/api/v1/lineup"
payload = {
"channel": "<string>",
"month": 1073741823,
"year": 1073741823,
"title": "<string>",
"version": 1073741823,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
month: 1073741823,
year: 1073741823,
title: '<string>',
version: 1073741823,
effective_from: '2023-12-25',
effective_to: '2023-12-25',
metadata: '<unknown>'
})
};
fetch('https://api.capedigital.co.ke/content/api/v1/lineup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"medium": "TV",
"channel": "TV47",
"month": 5,
"year": 2026,
"title": "TV47 MAY 2026",
"version": 1,
"effective_from": "2026-05-01",
"effective_to": "2026-05-31",
"uploaded_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Doe",
"employee_number": "EMP-001"
},
"slot_count": {
"2026-05-01": {
"day": "THU",
"count": 12
}
},
"metadata": {},
"created_at": "2026-05-01T08:00:00Z",
"updated_at": "2026-05-01T08:00:00Z"
}Authorizations
Enter your JWT token in the format: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Required string length:
1 - 100Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required string length:
1 - 255Required range:
0 <= x <= 2147483647Response
201 - application/json
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Maximum string length:
100Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Maximum string length:
255Show child attributes
Show child attributes
Required range:
0 <= x <= 2147483647⌘I
Create broadcast schedule
